From: "Viorel Munteanu" <ceamac.paragon@gmail.com>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:dev commit in: app-misc/fastfetch/
Date: Thu, 17 Feb 2022 07:58:07 +0000 (UTC) [thread overview]
Message-ID: <1645084641.49e3437cf4c5d2e3333106b85a70d49f57b3bbb8.viorel_munteanu@gentoo> (raw)
commit: 49e3437cf4c5d2e3333106b85a70d49f57b3bbb8
Author: Viorel Munteanu <ceamac.paragon <AT> gmail <DOT> com>
AuthorDate: Thu Feb 17 07:57:21 2022 +0000
Commit: Viorel Munteanu <ceamac.paragon <AT> gmail <DOT> com>
CommitDate: Thu Feb 17 07:57:21 2022 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=49e3437c
app-misc/fastfetch: add 0.599
Signed-off-by: Viorel Munteanu <ceamac.paragon <AT> gmail.com>
app-misc/fastfetch/Manifest | 1 +
app-misc/fastfetch/fastfetch-0.599.ebuild | 85 +++++++++++++++++++++++++++++++
2 files changed, 86 insertions(+)
diff --git a/app-misc/fastfetch/Manifest b/app-misc/fastfetch/Manifest
index 1e6111f73..34fddfa90 100644
--- a/app-misc/fastfetch/Manifest
+++ b/app-misc/fastfetch/Manifest
@@ -1 +1,2 @@
DIST fastfetch-0.583.tar.gz 321971 BLAKE2B 65565ecaa2a0d54d17fff98736c0c923371a848ab31ba403430d3dc76d6d412077a15761b951de907c82c87b879762c2b441a1baeebe179e7234308e5a988ec7 SHA512 81d1a54033517747349228c397ad4eda64bcf5946de25edcd3b7eb4bb90102e8b7bc886b5e7697f7de1f71f47e38fa75e33b6467b8a81421b6675384aebc24d2
+DIST fastfetch-0.599.tar.gz 323683 BLAKE2B 73dd5269fd37b6393f2f02fa93c1a398726101922cc6ec05862939f290edb02269131292cf1384dba3bd13996e06e861f62cd77cfa5c2dd2eaeee28c0eb97707 SHA512 90af0425d8a7746009028aeddb50970ead3d74506bc75defb8c4a179a9e51b8d2cd32186b25e9cc45c40c85567ee783edf581a79ee1fd5468d6936caf5ab4e2a
diff --git a/app-misc/fastfetch/fastfetch-0.599.ebuild b/app-misc/fastfetch/fastfetch-0.599.ebuild
new file mode 100644
index 000000000..45e0a85f0
--- /dev/null
+++ b/app-misc/fastfetch/fastfetch-0.599.ebuild
@@ -0,0 +1,85 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit bash-completion-r1 cmake
+
+DESCRIPTION="Like neofetch but faster"
+HOMEPAGE="https://github.com/LinusDierheimer/fastfetch"
+if [[ ${PV} == *9999 ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/LinusDierheimer/fastfetch.git"
+else
+ COMMIT="ed63ef1a28d58f7f582b52c8a49495f27ae8885a"
+ VERSION_REV="ed63ef1"
+ SRC_URI="https://github.com/LinusDierheimer/fastfetch/archive/${COMMIT}.tar.gz -> ${P}.tar.gz"
+ S="${WORKDIR}/${PN}-${COMMIT}"
+fi
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="X gnome pci vulkan wayland xcb xfce xrandr"
+
+# note - qa-vdb will always report errors because fastfetch loads the libs dynamically
+RDEPEND="
+ X? ( x11-libs/libX11 )
+ gnome? (
+ dev-libs/glib
+ gnome-base/dconf
+ )
+ pci? ( sys-apps/pciutils )
+ vulkan? ( media-libs/vulkan-loader )
+ wayland? ( dev-libs/wayland )
+ xcb? ( x11-libs/libxcb )
+ xfce? ( xfce-base/xfconf )
+ xrandr? ( x11-libs/libXrandr )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+REQUIRED_USE="xrandr? ( X )"
+
+src_configure() {
+ local mycmakeargs=(
+ -DENABLE_RPM=no
+ -DENABLE_VULKAN=$(usex vulkan)
+ -DENABLE_WAYLAND=$(usex wayland)
+ -DENABLE_XCB_RANDR=$(usex xcb)
+ -DENABLE_XCB=$(usex xcb)
+ -DENABLE_XRANDR=$(usex xrandr)
+ -DENABLE_X11=$(usex X)
+ -DENABLE_GIO=$(usex gnome)
+ -DENABLE_DCONF=$(usex gnome)
+ -DENABLE_XFCONF=$(usex xfce)
+ )
+
+ if [[ ${PV} != *9999 ]]; then
+ # version comes from git, fake it
+ VERSION_MAJOR="$(ver_cut 2)"
+ sed -i -e "
+ s/\(PROJECT_VERSION\) .*$/\1 \"r${VERSION_MAJOR}.${VERSION_REV}\")/
+ s/\(PROJECT_VERSION_MAJOR\) .*$/\1 \"${VERSION_MAJOR}\")/" CMakeLists.txt || die "Cannot patch version"
+ fi
+
+ cmake_src_configure
+}
+
+src_install() {
+ if [[ ${PV} == *9999 ]]; then
+ elog "REV=\"r$(git rev-list --count HEAD)\""
+ elog "COMMIT=\"$(git rev-parse HEAD)\""
+ elog "VERSION_REV=\"$(git rev-parse --short HEAD)\""
+ fi
+
+ pushd "${BUILD_DIR}" || die
+ dobin fastfetch
+ popd
+
+ newbashcomp completions/bash fastfetch
+ insinto /usr/share/${PN}/presets
+ doins presets/*
+
+ einstalldocs
+}
next reply other threads:[~2022-02-17 7:58 UTC|newest]
Thread overview: 88+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-02-17 7:58 Viorel Munteanu [this message]
-- strict thread matches above, loose matches on Subject: below --
2023-05-27 17:22 [gentoo-commits] repo/proj/guru:master commit in: app-misc/fastfetch/ Viorel Munteanu
2023-05-27 17:18 ` [gentoo-commits] repo/proj/guru:dev " Viorel Munteanu
2023-03-25 7:40 [gentoo-commits] repo/proj/guru:master " Viorel Munteanu
2023-03-25 7:36 ` [gentoo-commits] repo/proj/guru:dev " Viorel Munteanu
2023-03-03 12:53 Viorel Munteanu
2023-02-27 18:04 [gentoo-commits] repo/proj/guru:master " Viorel Munteanu
2023-02-27 17:48 ` [gentoo-commits] repo/proj/guru:dev " Viorel Munteanu
2023-02-27 18:04 [gentoo-commits] repo/proj/guru:master " Viorel Munteanu
2023-02-27 17:48 ` [gentoo-commits] repo/proj/guru:dev " Viorel Munteanu
2023-02-23 9:24 [gentoo-commits] repo/proj/guru:master " Viorel Munteanu
2023-02-22 6:30 ` [gentoo-commits] repo/proj/guru:dev " Viorel Munteanu
2023-02-22 9:35 Viorel Munteanu
2023-02-22 6:30 Viorel Munteanu
2023-02-22 6:30 Viorel Munteanu
2023-01-24 9:42 [gentoo-commits] repo/proj/guru:master " Viorel Munteanu
2023-01-24 9:40 ` [gentoo-commits] repo/proj/guru:dev " Viorel Munteanu
2023-01-24 9:42 [gentoo-commits] repo/proj/guru:master " Viorel Munteanu
2023-01-24 9:40 ` [gentoo-commits] repo/proj/guru:dev " Viorel Munteanu
2023-01-22 7:14 Viorel Munteanu
2023-01-22 7:14 Viorel Munteanu
2022-12-31 12:20 [gentoo-commits] repo/proj/guru:master " Viorel Munteanu
2022-12-31 12:20 ` [gentoo-commits] repo/proj/guru:dev " Viorel Munteanu
2022-12-31 12:20 Viorel Munteanu
2022-12-30 20:42 Viorel Munteanu
2022-12-30 20:36 [gentoo-commits] repo/proj/guru:master " Viorel Munteanu
2022-12-30 20:35 ` [gentoo-commits] repo/proj/guru:dev " Viorel Munteanu
2022-12-30 20:35 Viorel Munteanu
2022-12-30 9:41 [gentoo-commits] repo/proj/guru:master " Viorel Munteanu
2022-12-30 9:41 ` [gentoo-commits] repo/proj/guru:dev " Viorel Munteanu
2022-12-30 9:41 Viorel Munteanu
2022-12-29 15:28 [gentoo-commits] repo/proj/guru:master " Viorel Munteanu
2022-12-29 15:27 ` [gentoo-commits] repo/proj/guru:dev " Viorel Munteanu
2022-12-29 15:27 Viorel Munteanu
2022-12-28 14:39 Viorel Munteanu
2022-11-02 16:23 Viorel Munteanu
2022-10-11 16:45 Viorel Munteanu
2022-10-10 9:02 Viorel Munteanu
2022-10-10 4:47 Viorel Munteanu
2022-09-15 16:54 Viorel Munteanu
2022-09-15 16:54 Viorel Munteanu
2022-09-07 7:42 Viorel Munteanu
2022-09-04 6:35 Viorel Munteanu
2022-08-22 10:29 Viorel Munteanu
2022-08-22 10:29 Viorel Munteanu
2022-08-22 5:15 Viorel Munteanu
2022-08-22 5:15 Viorel Munteanu
2022-08-12 19:56 Viorel Munteanu
2022-08-12 14:10 Viorel Munteanu
2022-08-12 14:10 Viorel Munteanu
2022-07-27 17:54 Viorel Munteanu
2022-07-27 5:37 Viorel Munteanu
2022-07-27 5:37 Viorel Munteanu
2022-07-05 4:23 Viorel Munteanu
2022-07-05 4:23 Viorel Munteanu
2022-06-28 4:30 Viorel Munteanu
2022-06-28 4:30 Viorel Munteanu
2022-06-20 11:17 Viorel Munteanu
2022-06-20 10:49 Viorel Munteanu
2022-06-19 5:51 Viorel Munteanu
2022-06-19 5:51 Viorel Munteanu
2022-06-09 5:39 Viorel Munteanu
2022-06-09 5:39 Viorel Munteanu
2022-05-27 2:57 Viorel Munteanu
2022-05-27 2:57 Viorel Munteanu
2022-04-29 6:04 Viorel Munteanu
2022-04-29 6:04 Viorel Munteanu
2022-04-23 9:48 Viorel Munteanu
2022-04-23 9:48 Viorel Munteanu
2022-04-22 19:46 Viorel Munteanu
2022-04-22 19:46 Viorel Munteanu
2022-04-22 19:18 Viorel Munteanu
2022-03-31 17:19 Viorel Munteanu
2022-03-31 17:19 Viorel Munteanu
2022-03-22 18:07 Viorel Munteanu
2022-03-22 18:07 Viorel Munteanu
2022-03-20 19:02 Viorel Munteanu
2022-03-20 19:02 Viorel Munteanu
2022-03-17 18:14 Viorel Munteanu
2022-03-17 18:14 Viorel Munteanu
2022-03-14 16:41 Viorel Munteanu
2022-03-14 16:41 Viorel Munteanu
2022-03-09 13:18 Viorel Munteanu
2022-03-09 13:18 Viorel Munteanu
2022-02-22 18:31 Viorel Munteanu
2022-02-22 18:31 Viorel Munteanu
2022-02-17 7:58 Viorel Munteanu
2022-02-12 12:56 Viorel Munteanu
2022-02-12 12:56 Viorel Munteanu
2022-02-09 16:12 Viorel Munteanu
2022-02-09 10:43 Viorel Munteanu
2022-02-08 5:09 Viorel Munteanu
2022-01-29 10:30 Viorel Munteanu
2022-01-29 10:30 Viorel Munteanu
2022-01-23 20:25 Viorel Munteanu
2022-01-23 20:25 Viorel Munteanu
2022-01-22 12:48 Viorel Munteanu
2022-01-21 14:55 Viorel Munteanu
2022-01-20 20:54 Viorel Munteanu
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1645084641.49e3437cf4c5d2e3333106b85a70d49f57b3bbb8.viorel_munteanu@gentoo \
--to=ceamac.paragon@gmail.com \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox